using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Marco.Pms.DataAccess.Migrations
{
    /// <inheritdoc />
    public partial class Added_Assigned_By_In_Mapping_Tables : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "AssignedById",
                table: "TenantOrgMappings",
                type: "char(36)",
                nullable: false,
                defaultValue: new Guid("08dd8b35-d98b-44f1-896d-12aec3f035aa"),
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "AssignedById",
                table: "ProjectOrgMappings",
                type: "char(36)",
                nullable: false,
                defaultValue: new Guid("08dd8b35-d98b-44f1-896d-12aec3f035aa"),
                collation: "ascii_general_ci");

            migrationBuilder.CreateIndex(
                name: "IX_TenantOrgMappings_AssignedById",
                table: "TenantOrgMappings",
                column: "AssignedById");

            migrationBuilder.CreateIndex(
                name: "IX_ProjectOrgMappings_AssignedById",
                table: "ProjectOrgMappings",
                column: "AssignedById");

            migrationBuilder.AddForeignKey(
                name: "FK_ProjectOrgMappings_Employees_AssignedById",
                table: "ProjectOrgMappings",
                column: "AssignedById",
                principalTable: "Employees",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);

            migrationBuilder.AddForeignKey(
                name: "FK_TenantOrgMappings_Employees_AssignedById",
                table: "TenantOrgMappings",
                column: "AssignedById",
                principalTable: "Employees",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_ProjectOrgMappings_Employees_AssignedById",
                table: "ProjectOrgMappings");

            migrationBuilder.DropForeignKey(
                name: "FK_TenantOrgMappings_Employees_AssignedById",
                table: "TenantOrgMappings");

            migrationBuilder.DropIndex(
                name: "IX_TenantOrgMappings_AssignedById",
                table: "TenantOrgMappings");

            migrationBuilder.DropIndex(
                name: "IX_ProjectOrgMappings_AssignedById",
                table: "ProjectOrgMappings");

            migrationBuilder.DropColumn(
                name: "AssignedById",
                table: "TenantOrgMappings");

            migrationBuilder.DropColumn(
                name: "AssignedById",
                table: "ProjectOrgMappings");
        }
    }
}
